package nwmail

import "fmt"

type Address struct {
	Alias   string
	Address string
}

func NewAddress(alias, address string) Address {
	return Address{
		Alias:   alias,
		Address: address,
	}
}

func (a Address) String() string {
	if len(a.Alias) > 0 {
		return fmt.Sprintf("\"%s\" <%s>", a.Alias, a.Address)
	}

	return a.Address
}
