package nwmail

type Sensitivity int

const (
	SensitivityPersonal Sensitivity = iota
	SensitivityPrivate
	SensitivityConfidential
)

func (s Sensitivity) String() string {
	return [...]string{
		"Personal",
		"Private",
		"Company-Confidential",
	}[s]
}
