package nwmail

type Priority int

const (
	PriorityUrgent Priority = iota
	PriorityNormal
	PriorityNonUrgent
)

func (p Priority) String() string {
	return [...]string{
		"urgent",
		"normal",
		"non-urgent",
	}[p]
}
